libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.47. __nv_double2float_ru

Prototype:

    float @__nv_double2float_ru(double %d)

Description:

Convert the double-precision floating point value `x` to a single-precision floating point value in round-up (to positive infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes